# Run tests in check section
%bcond_without check

# https://github.com/DataDog/zstd
%global goipath         github.com/DataDog/zstd
Version:                1.3.4

%global common_description %{expand:
Zstd wrapper for Go.}

%gometa

Name:           %{goname}
Release:        1%{?dist}
Summary:        Zstd wrapper for Go
# Detected licences
# - BSD 3-clause "New" or "Revised" License at 'LICENSE'
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

# Fix test for 32bits systems
Patch0:         https://github.com/DataDog/zstd/commit/9ff2373583c0fa30ec2744400c7498c26f91f57e.patch#/0001-Fix-test-for-32bits-systems.patch

%description
%{common_description}


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgeautosetup -p1


%install
%goinstall


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%license LICENSE
%doc README.md


%changelog
* Mon Oct 29 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.4-1
- First package for Fedora

